Bug 209542 - [NEW PORT] net-im/ring-daemon: Ring VoIP SIP softphone and IM (daemon part)
Summary: [NEW PORT] net-im/ring-daemon: Ring VoIP SIP softphone and IM (daemon part)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 209476 209572
Blocks: 209543
  Show dependency treegraph
 
Reported: 2016-05-16 08:34 UTC by Yuri Victorovich
Modified: 2016-05-29 03:51 UTC (History)
1 user (show)

See Also:


Attachments
shar archive (21.95 KB, text/plain)
2016-05-16 08:34 UTC, Yuri Victorovich
no flags Details
shar archive (21.83 KB, text/plain)
2016-05-17 00:40 UTC, Yuri Victorovich
no flags Details
shar archive (22.76 KB, text/plain)
2016-05-28 03:09 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-05-16 08:34:18 UTC
Created attachment 170345 [details]
shar archive

https://ring.cx/
Comment 1 Yuri Victorovich freebsd_committer 2016-05-17 00:40:20 UTC
Created attachment 170381 [details]
shar archive
Comment 2 Yuri Victorovich freebsd_committer 2016-05-28 03:09:47 UTC
Created attachment 170740 [details]
shar archive

Update.
Comment 3 Kurt Jaeger freebsd_committer 2016-05-28 06:22:22 UTC
Error a dependency refers to a non existing origin: /usr/ports/devel/dbus-c++ in LIB_DEPENDS

Should there be a dbus-c++ somewhere ?
Comment 4 Yuri Victorovich freebsd_committer 2016-05-28 06:35:40 UTC
Sorry, forgotten dependency, bug#209572
Comment 5 Kurt Jaeger freebsd_committer 2016-05-28 20:38:37 UTC
There's a build issue on 11a:

In file included from configurationmanager.cpp:28:
/home/pi/myp/net-im/ring-daemon/work/ring-daemon-56ec56f/src/dring/configurationmanager_interface.h:204:139: error: 
      unknown type name 'time_t'
  ...std::string& /*from*/, const std::vector<uint8_t>& payload, time_t recei...
                                                                 ^
In file included from ring_signal.cpp:21:
In file included from ./ring_signal.h:28:
/home/pi/myp/net-im/ring-daemon/work/ring-daemon-56ec56f/src/dring/configurationmanager_interface.h:204:139: error: 
      unknown type name 'time_t'
  ...std::string& /*from*/, const std::vector<uint8_t>& payload, time_t recei...
                                                                 ^
1 error generated.
Makefile:513: recipe for target 'libclient_la-ring_signal.lo' failed
Comment 6 Kurt Jaeger freebsd_committer 2016-05-28 20:41:26 UTC
ok, simple patch includes <time.h>
Comment 7 Yuri Victorovich freebsd_committer 2016-05-28 20:50:55 UTC
Kurt,

Could you please just add this patch and commit?
Comment 8 Kurt Jaeger freebsd_committer 2016-05-28 20:52:41 UTC
I'm testbuilding right now using poudriere. This will take some time, so I'm off to bed now...
Comment 9 Kurt Jaeger freebsd_committer 2016-05-29 03:51:17 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2016-05-29 03:51:52 UTC
A commit references this bug:

Author: pi
Date: Sun May 29 03:50:58 UTC 2016
New revision: 416084
URL: https://svnweb.freebsd.org/changeset/ports/416084

Log:
  New port: net-im/ring-daemon

  Ring is a secure and distributed voice, video and chat communication
  platform that requires no centralized server and leaves the power
  of privacy in the hands of the user.

  WWW: https://ring.cx/

  PR:		209542
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>

Changes:
  head/net-im/Makefile
  head/net-im/ring-daemon/
  head/net-im/ring-daemon/Makefile
  head/net-im/ring-daemon/distinfo
  head/net-im/ring-daemon/files/
  head/net-im/ring-daemon/files/patch-configure.ac
  head/net-im/ring-daemon/files/patch-contrib_bootstrap
  head/net-im/ring-daemon/files/patch-contrib_native_pjproject-2.4.5_aconfigure
  head/net-im/ring-daemon/files/patch-contrib_native_pjproject-2.4.5_aconfigure.ac
  head/net-im/ring-daemon/files/patch-contrib_native_pjproject-2.4.5_build.mak.in
  head/net-im/ring-daemon/files/patch-contrib_native_pjproject-2.4.5_pjsip_build_Makefile
  head/net-im/ring-daemon/files/patch-contrib_src_main.mak
  head/net-im/ring-daemon/files/patch-contrib_src_pjproject_rules.mak
  head/net-im/ring-daemon/files/patch-contrib_src_uuid_rules.mak
  head/net-im/ring-daemon/files/patch-src_Makefile.am
  head/net-im/ring-daemon/files/patch-src__dring__configurationmanager_interface.h
  head/net-im/ring-daemon/files/patch-src_archiver.cpp
  head/net-im/ring-daemon/files/patch-src_media_video_Makefile.am
  head/net-im/ring-daemon/files/patch-src_media_video_test_Makefile.am
  head/net-im/ring-daemon/files/patch-src_media_video_v4l2_video__device__impl.cpp
  head/net-im/ring-daemon/files/patch-src_media_video_v4l2_video__device__monitor__impl.cpp
  head/net-im/ring-daemon/pkg-descr
  head/net-im/ring-daemon/pkg-plist